org.apache.log4j.receivers.net

## Class XMLSocketNode

- java.lang.Object
- - org.apache.log4j.component.spi.ComponentBase
  - - org.apache.log4j.receivers.net.XMLSocketNode

- All Implemented Interfaces:
    Runnable, Component

      public class XMLSocketNode
      extends ComponentBase
      implements Runnable

  Read `LoggingEvent` objects sent from a remote client using XML over Sockets (TCP). These logging events are logged according to local policy, as if they were generated locally.

  For example, the socket node might decide to log events to a local file and also resent them to a second socket node.

  Since:
    0.8.4
  Author:
    Scott Deboy ;

- - ### Field Summary

    - ### Fields inherited from class org.apache.log4j.component.spi.ComponentBase

      `repository`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLSocketNode(String decoder, Socket socket, org.apache.log4j.spi.LoggerRepository hierarchy)` Constructor for socket and logger repository.
    `XMLSocketNode(String decoder, Socket socket, Receiver receiver)` Constructor for socket and reciever.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`
    `void` | `setListener(SocketNodeEventListener _listener)` Set the event listener on this node.

    - ### Methods inherited from class org.apache.log4j.component.spi.ComponentBase

      `getLogger, getLoggerRepository, getNonFloodingLogger, resetErrorCount, setLoggerRepository`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLSocketNode

          public XMLSocketNode(String decoder,
                       Socket socket,
                       org.apache.log4j.spi.LoggerRepository hierarchy)

      Constructor for socket and logger repository.

    - #### XMLSocketNode

          public XMLSocketNode(String decoder,
                       Socket socket,
                       Receiver receiver)

      Constructor for socket and reciever.

  - ### Method Detail

    - #### setListener

          public void setListener(SocketNodeEventListener _listener)

      Set the event listener on this node.

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

Copyright © 2013 The Apache Software Foundation. Licensed under the Apache License, Version 2.0

Apache Extras for Apache log4j, Apache log4j and Apache are trademarks of the Apache Software Foundation.